View Issue Details

IDProjectCategoryView StatusLast Update
0005165libmicrohttpddigest authentication (HTTP)public2018-12-08 23:10
ReporterrockdabootAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Versioncurrent SVN 
Target Version0.9.62Fixed in Version0.9.62 
Summary0005165: Add support for RFC 7616 (Digest Auth with SHA-256)
DescriptionIn short: Removes the need for insecure MD5 hashes, replaces those with SHA-256.

Wget2 and Curl now support it. At least Wget2 needs MHD support for this for it's test suite.
TagsNo tags attached.

Activities

Christian Grothoff

2018-10-05 19:25

manager   ~0013261

Agreed, we should do this.

Christian Grothoff

2018-11-20 22:29

manager   ~0013349

Added sha256.{c,h} for now.

Christian Grothoff

2018-12-08 17:36

manager   ~0013398

6bb3796f..bcba3f58 adds an untested implementation. Doesn't break anything for MD5, but not yet tested!

Christian Grothoff

2018-12-08 22:55

manager   ~0013399

Tested and documented in bcba3f58..2897bd23

Issue History

Date Modified Username Field Change
2017-10-29 21:16 rockdaboot New Issue
2018-10-05 19:25 Christian Grothoff Status new => confirmed
2018-10-05 19:25 Christian Grothoff Note Added: 0013261
2018-11-20 22:29 Christian Grothoff Note Added: 0013349
2018-12-07 08:37 Christian Grothoff Assigned To => Christian Grothoff
2018-12-07 08:37 Christian Grothoff Status confirmed => assigned
2018-12-07 08:37 Christian Grothoff Product Version => current SVN
2018-12-07 08:37 Christian Grothoff Target Version => 0.9.62
2018-12-08 17:36 Christian Grothoff Note Added: 0013398
2018-12-08 22:55 Christian Grothoff Status assigned => resolved
2018-12-08 22:55 Christian Grothoff Resolution open => fixed
2018-12-08 22:55 Christian Grothoff Fixed in Version => 0.9.62
2018-12-08 22:55 Christian Grothoff Note Added: 0013399
2018-12-08 23:10 Christian Grothoff Status resolved => closed